curl --request GET \
--url https://softmax.com/api/observatory/v2/reporters/{reporter_id}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/reporters/{reporter_id}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/reporters/{reporter_id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"reporter_id": "<string>",
"name": "<string>",
"version": 123,
"content_hash": "<string>",
"size_bytes": 123,
"world": "<string>",
"attributes": {},
"granted_limits": {},
"player_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List reporter versions
Lists visible immutable versions for a reporter, newest first. A continuation cursor is returned in the X-Next-Cursor response header when another page exists.
Authorizations
Bearer token issued by Softmax
Path Parameters
Reporter whose versions will be listed.
^rptr_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Query Parameters
Maximum versions returned.
1 <= x <= 500Continuation token from the previous response's X-Next-Cursor header.
Response
Successful Response
Reporter version ID.
Reporter identity this version belongs to.
Owner-scoped reporter name.
Monotonically increasing version number within the reporter.
SHA-256 digest of the WebAssembly module.
WebAssembly module size in bytes.
Reporter interface version required by the module.
Validated contract declared by this version.
Resource limits granted to each run.
Player associated with this version, if any.
Time this version was created.